{
	"name": "Rocket.Chat",
	"description": "The Ultimate Open Source WebChat Platform",
	"version": "3.9.0-develop",
	"author": {
		"name": "Rocket.Chat",
		"url": "https://rocket.chat/"
	},
	"keywords": [
		"rocketchat",
		"rocket",
		"chat"
	],
	"scripts": {
		"start": "meteor",
		"debug": "meteor run --inspect",
		"debug-brk": "meteor run --inspect-brk",
		"lint": "meteor npm run stylelint && meteor npm run eslint",
		"jslint": "eslint --ext .js,.jsx .",
		"tslint": "eslint --ext .ts,.tsx .",
		"eslint": "meteor npm run jslint && meteor npm run tslint",
		"stylelint": "stylelint --fix \"app/**/*.css\" \"client/**/*.css\" \"app/**/*.less\" \"client/**/*.less\" \"ee/**/*.less\"",
		"typecheck": "tsc --noEmit --skipLibCheck",
		"deploy": "npm run build && pm2 startOrRestart pm2.json",
		"coverage": "nyc -r html mocha --config ./mocha.opts.js",
		"testci": "node .scripts/start.js",
		"testui": "cypress run --project tests",
		"testapi": "mocha --config ./mocha_end_to_end.opts.js",
		"testunit": "mocha --config ./mocha.opts.js",
		"testunit-watch": "mocha --watch --config ./mocha.opts.js",
		"test": "npm run testapi && npm run testui",
		"translation-diff": "node .scripts/translationDiff.js",
		"translation-check": "node .scripts/check-i18n.js",
		"translation-fix-order": "node .scripts/fix-i18n.js",
		"version": "node .scripts/version.js",
		"set-version": "node .scripts/set-version.js",
		"release": "meteor npm run set-version --silent",
		"storybook": "start-storybook -p 6006",
		"build-storybook": "build-storybook"
	},
	"license": "MIT",
	"repository": {
		"type": "git",
		"url": "https://github.com/RocketChat/Rocket.Chat.git"
	},
	"bugs": {
		"url": "https://github.com/RocketChat/Rocket.Chat/issues",
		"email": "support@rocket.chat"
	},
	"devDependencies": {
		"@babel/core": "^7.11.1",
		"@babel/plugin-proposal-nullish-coalescing-operator": "^7.10.4",
		"@babel/plugin-proposal-optional-chaining": "^7.11.0",
		"@babel/preset-env": "^7.11.0",
		"@babel/preset-react": "^7.10.4",
		"@octokit/rest": "^16.43.2",
		"@rocket.chat/eslint-config": "^0.3.0",
		"@rocket.chat/livechat": "^1.7.6",
		"@settlin/spacebars-loader": "^1.0.8",
		"@storybook/addon-actions": "^5.3.19",
		"@storybook/addon-knobs": "^5.3.19",
		"@storybook/addon-viewport": "^5.3.19",
		"@storybook/addons": "^5.3.19",
		"@storybook/react": "^5.3.19",
		"@types/agenda": "^2.0.9",
		"@types/bcrypt": "^3.0.0",
		"@types/chai": "^4.2.12",
		"@types/chai-spies": "^1.0.1",
		"@types/clipboard": "^2.0.1",
		"@types/ejson": "^2.1.2",
		"@types/meteor": "^1.4.49",
		"@types/mocha": "^8.0.3",
		"@types/mock-require": "^2.0.0",
		"@types/moment-timezone": "^0.5.30",
		"@types/mongodb": "^3.5.26",
		"@types/node": "^10.12.14",
		"@types/react-dom": "^16.9.8",
		"@types/semver": "^7.3.3",
		"@types/toastr": "^2.1.38",
		"@typescript-eslint/eslint-plugin": "^2.34.0",
		"@typescript-eslint/parser": "^2.34.0",
		"acorn": "^6.4.1",
		"autoprefixer": "^9.8.6",
		"babel-eslint": "^10.1.0",
		"babel-loader": "^8.1.0",
		"babel-mocha-es6-compiler": "^0.1.0",
		"babel-plugin-array-includes": "^2.0.3",
		"babel-polyfill": "^6.26.0",
		"chai": "^4.2.0",
		"chai-datetime": "^1.7.0",
		"chai-spies": "^1.0.0",
		"cypress": "^4.12.1",
		"emojione-assets": "^4.5.0",
		"eslint": "^6.8.0",
		"eslint-plugin-import": "^2.22.0",
		"eslint-plugin-react": "^7.20.6",
		"eslint-plugin-react-hooks": "^4.1.0",
		"fast-glob": "^2.2.7",
		"husky": "^1.2.0",
		"i18next": "^17.3.1",
		"inquirer": "^7.3.3",
		"jsdom": "16.4.0",
		"jsdom-global": "3.0.2",
		"less-loader": "^5.0.0",
		"md5": "^2.3.0",
		"mocha": "^8.1.1",
		"mock-require": "^3.0.3",
		"mongo-unit": "^2.0.1",
		"node-sprite-generator": "^0.10.2",
		"postcss": "^7.0.32",
		"postcss-custom-properties": "^9.1.1",
		"postcss-easy-import": "^3.0.0",
		"postcss-load-config": "^2.1.0",
		"postcss-media-minmax": "^4.0.0",
		"postcss-nested": "^4.2.3",
		"postcss-selector-not": "^4.0.0",
		"postcss-url": "^8.0.0",
		"progress": "^2.0.3",
		"proxyquire": "^2.1.3",
		"simple-git": "^1.107.0",
		"source-map": "^0.5.7",
		"stylelint": "^13.6.1",
		"stylelint-order": "^2.2.1",
		"supertest": "^3.4.2",
		"ts-loader": "^7.0.5",
		"ts-node": "^8.10.2",
		"typescript": "^3.9.7",
		"webpack": "^4.44.1"
	},
	"dependencies": {
		"@babel/runtime": "^7.11.2",
		"@google-cloud/language": "^3.8.0",
		"@google-cloud/storage": "^2.5.0",
		"@google-cloud/vision": "^1.11.0",
		"@nivo/bar": "^0.61.1",
		"@nivo/heatmap": "^0.61.0",
		"@nivo/line": "^0.61.1",
		"@nivo/pie": "^0.61.1",
		"@rocket.chat/apps-engine": "^1.19.0",
		"@rocket.chat/css-in-js": "^0.6.3-dev.136",
		"@rocket.chat/emitter": "^0.6.3-dev.136",
		"@rocket.chat/fuselage": "^0.6.3-dev.137",
		"@rocket.chat/fuselage-hooks": "^0.6.3-dev.136",
		"@rocket.chat/fuselage-polyfills": "^0.6.3-dev.136",
		"@rocket.chat/fuselage-ui-kit": "^0.6.3-dev.137",
		"@rocket.chat/icons": "^0.6.3-dev.136",
		"@rocket.chat/mp3-encoder": "^0.6.3-dev.136",
		"@rocket.chat/ui-kit": "^0.6.3-dev.136",
		"@slack/client": "^4.12.0",
		"@types/fibers": "^3.1.0",
		"@types/mkdirp": "^1.0.1",
		"@types/underscore.string": "0.0.38",
		"@types/use-subscription": "^1.0.0",
		"@types/xml-crypto": "^1.4.1",
		"@types/xmldom": "^0.1.30",
		"adm-zip": "RocketChat/adm-zip",
		"agenda": "^3.1.0",
		"apn": "2.2.0",
		"archiver": "^3.1.1",
		"arraybuffer-to-string": "^1.0.2",
		"atlassian-crowd": "^0.5.0",
		"autolinker": "^1.8.3",
		"aws-sdk": "^2.735.0",
		"bad-words": "^3.0.3",
		"bcrypt": "^5.0.0",
		"blockstack": "19.3.0",
		"body-parser": "1.18.3",
		"bson": "^4.1.0",
		"bugsnag": "^2.4.3",
		"bunyan": "^1.8.14",
		"busboy": "^0.2.14",
		"bytebuffer": "5.0.1",
		"cas": "https://github.com/kcbanner/node-cas/tarball/fcd27dad333223b3b75a048bce27973fb3ca0f62",
		"change-case": "^4.1.1",
		"chart.js": "^2.9.3",
		"clipboard": "^2.0.6",
		"codemirror": "^5.56.0",
		"coffeescript": "^2.5.1",
		"connect": "^3.7.0",
		"core-js": "^2.6.11",
		"cors": "^2.8.5",
		"csv-parse": "^4.12.0",
		"ejson": "^2.2.0",
		"emailreplyparser": "^0.0.5",
		"emojione": "^4.5.0",
		"eslint-plugin-import": "^2.22.0",
		"express": "^4.17.1",
		"express-rate-limit": "^5.1.3",
		"fibers": "4.0.3",
		"file-type": "^10.11.0",
		"filesize": "^3.6.1",
		"googleapis": "^25.0.0",
		"grapheme-splitter": "^1.0.4",
		"gridfs-stream": "^1.1.1",
		"he": "^1.2.0",
		"highlight.js": "^9.18.3",
		"iconv-lite": "^0.4.24",
		"image-size": "^0.6.3",
		"imap": "^0.8.19",
		"ip-range-check": "^0.0.2",
		"jquery": "^3.5.1",
		"jschardet": "^1.6.0",
		"jsrsasign": "^8.0.24",
		"juice": "^5.2.0",
		"katex": "^0.11.1",
		"ldap-escape": "^2.0.4",
		"ldapjs": "^1.0.2",
		"less": "https://github.com/meteor/less.js/tarball/8130849eb3d7f0ecf0ca8d0af7c4207b0442e3f6",
		"less-plugin-autoprefixer": "^2.1.0",
		"limax": "^2.1.0",
		"localforage": "^1.9.0",
		"lodash.clonedeep": "^4.5.0",
		"lodash.property": "^4.4.2",
		"lru-cache": "^5.1.1",
		"mailparser": "^2.8.1",
		"marked": "^0.7.0",
		"mem": "^6.1.0",
		"memoize-one": "^5.1.1",
		"meteor-node-stubs": "^1.0.1",
		"mime-db": "^1.44.0",
		"mime-type": "^3.1.0",
		"mkdirp": "^0.5.5",
		"moleculer": "^0.14.10",
		"moment": "^2.27.0",
		"moment-timezone": "^0.5.31",
		"mongodb": "^3.6.0",
		"nats": "^1.4.8",
		"node-dogstatsd": "^0.0.7",
		"node-gcm": "0.14.4",
		"node-rsa": "^1.1.1",
		"object-path": "^0.11.5",
		"pdfjs-dist": "^2.4.456",
		"photoswipe": "^4.1.3",
		"poplib": "^0.1.7",
		"prom-client": "^12.0.0",
		"prometheus-gc-stats": "^0.6.2",
		"querystring": "^0.2.0",
		"queue-fifo": "^0.2.6",
		"react": "^16.13.1",
		"react-dom": "^16.13.1",
		"react-keyed-flatten-children": "^1.3.0",
		"react-window": "^1.8.5",
		"react-window-infinite-loader": "^1.0.5",
		"redis": "^2.8.0",
		"semver": "^5.7.1",
		"sharp": "^0.22.1",
		"speakeasy": "^2.0.0",
		"stream-buffers": "^3.0.2",
		"string-strip-html": "^4.5.1",
		"styled-components": "^4.4.1",
		"tar-stream": "^1.6.2",
		"tinykeys": "^1.1.0",
		"toastr": "^2.1.4",
		"turndown": "^5.0.3",
		"twilio": "^3.48.2",
		"twit": "^2.2.11",
		"ua-parser-js": "^0.7.21",
		"underscore": "^1.10.2",
		"underscore.string": "^3.3.5",
		"url-polyfill": "^1.1.10",
		"use-subscription": "^1.4.1",
		"uuid": "^3.4.0",
		"webdav": "^2.10.2",
		"xml-crypto": "^1.5.3",
		"xml-encryption": "0.11.2",
		"xml2js": "0.4.19",
		"xmldom": "^0.1.31",
		"yaqrcode": "^0.2.1"
	},
	"meteor": {
		"mainModule": {
			"client": "client/main.js",
			"server": "server/main.js"
		}
	},
	"husky": {
		"hooks": {
			"pre-push": "meteor npm run lint && meteor npm run testunit"
		}
	},
	"houston": {
		"minTag": "0.55.0-rc.0",
		"updateFiles": [
			"package.json",
			"package-lock.json",
			".snapcraft/snap/snapcraft.yaml",
			".snapcraft/resources/prepareRocketChat",
			".circleci/update-releases.sh",
			".docker/Dockerfile",
			".docker/Dockerfile.rhel",
			"app/utils/rocketchat.info"
		]
	},
	"browserslist": [
		"last 2 versions"
	]
}
